Bug 103717 - EQ blocked
EQ blocked
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Autoupdate
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Jiri Rechtacek
issues@platform
: PERFORMANCE, THREAD
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-11 09:47 UTC by Jesse Glick
Modified: 2007-07-08 16:29 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
Thread dump (19.90 KB, text/plain)
2007-05-11 09:48 UTC, Jesse Glick
Details
Thread dump (21.35 KB, text/plain)
2007-05-22 23:42 UTC, Jesse Glick
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2007-05-11 09:47:35 UTC
070504. Not sure what I did, but I think I clicked on Refresh while the progress
bar was running to get contents of AU centers. Note that I am having network
problems. That is no excuse for the display to freeze of course. It has been
dead for several minutes so I will have to kill the IDE.
Comment 1 Jesse Glick 2007-05-11 09:48:20 UTC
Created attachment 42306 [details]
Thread dump
Comment 2 Jesse Glick 2007-05-11 09:50:45 UTC
It did actually recover several minutes later and tell me that it could not
connect to the UC.
Comment 3 Jiri Rechtacek 2007-05-11 10:04:48 UTC
The part of problem is already fixed in M10. Networks operations are not called
from EQ.
Anyway the root of problem is java.net.URL.openStream() takes sometimes a huge
time if network is presently gone. If OS works offline then
java.net.URL.openStream() throws IOE immediately but if OS boots online and then
have loosed network connection java.net.URL.openStream() waits a couple of
minutes  till throws IOE. The caller cannot know whether network is working
(e.g. and downloading data) or network is broken.
Comment 4 Jesse Glick 2007-05-22 23:41:15 UTC
Happened again in 070522, will attach new thread dump. My network connection is
fine AFAIK.
Comment 5 Jesse Glick 2007-05-22 23:42:18 UTC
Created attachment 42663 [details]
Thread dump
Comment 6 Jiri Rechtacek 2007-05-29 09:18:37 UTC
Still reproducible in M10 => increase the priority.
Comment 7 Jiri Rechtacek 2007-07-08 16:29:23 UTC
Plugin Manager UI is now blocked while initialization is running.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo